Package: org.grails.cli.profile.commands.io

## [Groovy] Trait ServerInteraction

- org.grails.cli.profile.commands.io.ServerInteraction

- Methods to aid interacting with the server from the CLI

  Authors:
    Graeme Rocher
  Since:
    3.0.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isServerAvailable(java.lang.String host = "localhost", int port = 8080)` Returns true if the server is available
    `` | `void` | `waitForStartup(java.lang.String host = "localhost", int port = 8080)` Waits for the server to startup

- - ### Method Detail

    - #### boolean isServerAvailable(java.lang.String host = "localhost", int port = 8080)

      Returns true if the server is available

      Parameters:
        `host` - The host
        `port` - The port

    - #### void waitForStartup(java.lang.String host = "localhost", int port = 8080)

      Waits for the server to startup

      Parameters:
        `host` - The host
        `port` - The port